package org.wso2.carbon.device.mgt.mobile.impl.ios.dto;

import java.io.Serializable;

/**
 * This class represents the Apple DEP created profile details.
 */
public class DEPProfile implements Serializable {

    public static final String PROP_NAME = "name";
    public static final String PROP_DEPARTMENT = "department";
    public static final String PROP_MANDATORY = "mandatory";
    public static final String PROP_REMOVABLE = "removable";

    private static final long serialVersionUID = 419800635670912679L;

    private String profileName;
    private String id;
    private String UUID;
    private String profileContent;
    private String tenantDomain;

    public String getTenantDomain() {
        return tenantDomain;
    }

    public void setTenantDomain(String tenantDomain) {
        this.tenantDomain = tenantDomain;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getProfileName() {
        return profileName;
    }

    public void setProfileName(String profileName) {
        this.profileName = profileName;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getProfileContent() {
        return profileContent;
    }

    public void setProfileContent(String profileContent) {
        this.profileContent = profileContent;
    }

    public String getUUID() {
        return UUID;
    }

    public void setUUID(String UUID) {
        this.UUID = UUID;
    }

}
